<template>
  <div class="m-2">
    <h4 class="text-white bg-none"><i class="bi bi-fire"></i> Tendencias</h4>
  <div class="list-group ml-6">
    <div v-for="elemento in hashtags" :key="elemento.id"> 
      <a href="#" class="list-group-item list-group-item-action border-0 text-left text-white bg-transparent">{{ elemento.hashtag }}</a>
    </div>
  </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "ListadosHashtags",
  data() {
    return {
      hashtags: [],

    };
  },
  methods: {
    listarHashtags() {
      axios
        .get("https://mocki.io/v1/30b0b4fa-81b6-48ba-a099-b20354cab198")
        .then((response) => {
          this.hashtags = response.data;
        })
        .catch((error) => {
          console.error(error);
        });
    },
  },
  mounted() {
      this.listarHashtags();
    },
};

</script>

<style scoped></style>
